Tooltip for button in Vue Button component

11 Jun 20241 minute to read

Tooltip can be shown on Button hover and it can be achieved by setting title attribute.

The following snippets illustrates how to show tooltip on Button hover.

<template>
    <ejs-button id='button' isPrimary=true>Button</ejs-button>
</template>

<script setup>
import { ButtonComponent as EjsButton } from '@syncfusion/ej2-vue-buttons';
import { enableRipple } from '@syncfusion/ej2-base';
enableRipple(true);
document.getElementById('button').setAttribute('title', 'Primary Button');
</script>

<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';

button {
  margin: 25px 5px 20px 20px;
}
</style>
<template>
    <ejs-button id='button' isPrimary=true>Button</ejs-button>
</template>

<script>
import { ButtonComponent } from '@syncfusion/ej2-vue-buttons';
import { enableRipple } from '@syncfusion/ej2-base';
enableRipple(true);
export default {
name: "App",
components: {
"ejs-button":ButtonComponent
},
  mounted () {
    document.getElementById('button').setAttribute('title', 'Primary Button');
  }
}
</script>
<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';

button {
  margin: 25px 5px 20px 20px;
}
</style>

Tooltip for button in Angular Button component

27 Apr 20241 minute to read

Tooltip can be shown on button hover and it can be achieved by setting title attribute.

The following snippets illustrates how to show tooltip on button hover.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { ButtonModule } from '@syncfusion/ej2-angular-buttons'
import { enableRipple } from '@syncfusion/ej2-base'



import { Component, ViewChild, OnInit } from '@angular/core';
import { ButtonComponent } from '@syncfusion/ej2-angular-buttons';

@Component({
imports: [
        
        ButtonModule
    ],


standalone: true,
    selector: 'app-root',
    styleUrls:['./style.css'],
    template:`<div class="e-section-control">
              <button #btn ejs-button [isPrimary]="true" (created)="onCreated()">Button</button></div>`
})

export class AppComponent {
  @ViewChild('btn')
  private btn: ButtonComponent| any;
  onCreated() {
    this.btn.element.setAttribute("title", "Primary Button")
  }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Tooltip for button in React Button component

30 Jan 20232 minutes to read

Tooltip can be shown on Button hover and it can be achieved by setting title attribute.

The following snippets illustrates how to show tooltip on Button hover.

import { enableRipple } from '@syncfusion/ej2-base';
import { ButtonComponent } from '@syncfusion/ej2-react-buttons';
import * as React from 'react';
import * as ReactDom from 'react-dom';
enableRipple(true);
function App() {
    let btn;
    function onCreated() {
        btn.element.setAttribute('title', 'Primary Button');
    }
    return (<div>
            <ButtonComponent id='btn' ref={(scope) => { btn = scope; }} created={onCreated} isPrimary={true}>Button</ButtonComponent>
        </div>);
}
export default App;
ReactDom.render(<App />, document.getElementById('button'));
import { enableRipple } from '@syncfusion/ej2-base';
import {ButtonComponent} from '@syncfusion/ej2-react-buttons';
import * as React from 'react';
import * as ReactDom from 'react-dom';

enableRipple(true);

function App() {
    let btn: ButtonComponent;
    function onCreated(): void {
      (btn.element as HTMLElement).setAttribute('title','Primary Button');
    }
    return (
        <div>
            <ButtonComponent id='btn' ref={(scope) => { btn = scope as ButtonComponent; }} created={onCreated} isPrimary={true}>Button</ButtonComponent>
        </div>
    );
}
export default App;
ReactDom.render(<App />,document.getElementById('button'));